<template>
<div id="wrapper">


<!-- Content
================================================== -->
<div class="container">
	<div class="row sticky-wrapper">

<!-- Profile -->
			<div class="col-lg-6 col-md-12">
				<div class="dashboard-list-box margin-top-0">
					<h4 class="gray">Profile Details</h4>
					<div class="dashboard-list-box-static">
						
						<!-- Avatar -->
						<div class="edit-profile-photo">
							<img src="images/user-avatar.jpg" alt="">
							<div class="change-photo-btn">
								<div class="photoUpload">
								    <span><i class="fa fa-upload"></i> Upload Photo</span>
								    <input type="file" class="upload" />
								</div>
							</div>
						</div>
	
						<!-- Details -->
						<div class="my-profile">

							<label>Your Name</label>
							<input value="Tom Perrin" type="text">

							<label>Phone</label>
							<input value="(123) 123-456" type="text">

							<label>Email</label>
							<input value="tom@example.com" type="text">

							<label>Notes</label>
							<textarea name="notes" id="notes" cols="30" rows="10">Maecenas quis consequat libero, a feugiat eros. Nunc ut lacinia tortor morbi ultricies laoreet ullamcorper phasellus semper</textarea>

						</div>
	
						<button class="button margin-top-15">Save Changes</button>

					</div>
				</div>
			</div>

			<!-- Change Password -->
			<div class="col-lg-6 col-md-12">
				<div class="dashboard-list-box margin-top-0">
					<h4 class="gray">Change Password</h4>
					<div class="dashboard-list-box-static">

						<!-- Change Password -->
						<div class="my-profile">
							<label class="margin-top-0">Current Password</label>
							<input type="password">

							<label>New Password</label>
							<input type="password">

							<label>Confirm New Password</label>
							<input type="password">

							<button class="button margin-top-15">Change Password</button>
						</div>

					</div>
				</div>
			</div>

	</div>
</div>

</div>

</template>

<script>
import axios from "axios";
import VueLocalStorage from "vue-localstorage";
import Vue from "vue";

Vue.use(VueLocalStorage);

var tokenDate = new Date();
var accountAddress;
var tokenDuration;
var dateNow = new Date(Date.now());
const data = JSON.parse(Vue.localStorage.get("user"));
console.log(data);
var array = [];
var user;
array.push(data);

export default {
  name: "UserProfileEdit",
  data() {
    return {
      msg: "Welcome to user profile",
      user: [],
      dateNow,
      tokenDate,
      accountAddress,
      tokenDuration,
      daysRemaining7 : Number,
      daysRemaining30 : Number,
      daysRemaining90 : Number
    };
  },
methods : {
  convertDate(inputFormat) {
  function pad(s) { return (s < 10) ? '0' + s : s; }
  var d = new Date(inputFormat);
  return [pad(d.getDate()), pad(d.getMonth()+1), d.getFullYear()].join('/');
}
},
  created() {
    axios
      .get("http://34.244.196.28:443/users/userById/" + this.$route.params.id)
      .then(response => {
        this.user = response.data;
       // user = this.user;
         this.dateNow = dateNow;
         this.tokenDate = this.user.tokenDate;
         this.accountAddress = this.user.accountAddress;
         this.tokenDuration = this.user.tokenDuration;
         tokenDate = new Date(this.user.tokenDate);
        this.daysRemaining7 = 7 - (dateNow.getDate() - tokenDate.getDate());
        this.daysRemaining30 = 30 - (dateNow.getDate() - tokenDate.getDate());
        this.daysRemaining90 = 90 - (dateNow.getDate() - tokenDate.getDate());

        let options = {
          weekday: "long",
          year: "numeric",
          month: "short",
          day: "numeric",
          hour: "2-digit",
          minute: "2-digit"
        };
        this.tokenDate = tokenDate.toLocaleString("en-us", options);
      })
      .catch(e => {
        console.log(e);
      });
  }
};
</script>
